Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nethack curses interface
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
brundage
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2004
Posts: 98

PostPosted: Fri Feb 16, 2018 6:46 pm    Post subject: Nethack curses interface Reply with quote

I have nethack-3.6.0-r3 installed, but the curses interface is not available. How do I enable it?

Thanks.

Code:
1 fatty:0.0 /home/brundage % nethack
Window type curses not recognized.  Choices are:
        tty
        X11


Code:
0 fatty:0.0 /root # equery u nethack
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for games-roguelike/nethack-3.6.0-r3:
 U I
 + + X            : Add support for X11
 + + experimental : Enable experimental features (showscore and status_hilite)
Back to top
View user's profile Send private message
kajzer
Apprentice
Apprentice


Joined: 27 Nov 2014
Posts: 259

PostPosted: Fri Feb 16, 2018 10:18 pm    Post subject: Reply with quote

Works fine here, I don't have use flag experimental enabled though, maybe that matters maybe not.
Maybe the shell matters, interesting prompt you have there, which shell is that ?
Back to top
View user's profile Send private message
kajzer
Apprentice
Apprentice


Joined: 27 Nov 2014
Posts: 259

PostPosted: Fri Feb 16, 2018 11:22 pm    Post subject: Reply with quote

Anyway.... try this... make file ~/.nethackrc and put this inside :
OPTIONS=windowtype:tty
Back to top
View user's profile Send private message
brundage
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2004
Posts: 98

PostPosted: Sat Feb 17, 2018 4:13 pm    Post subject: Reply with quote

Thanks for the suggestions kajzer. I can use the tty interface just fine, but not the curses one. I enabled the experimental USE flag to see if that got me the curses interface.

Nethack is linked against curses too.

Code:
0 fatty:0.0 /root # ldd /usr/lib64/nethack/nethack
   linux-vdso.so.1 (0x00007ffd8456a000)
   libncurses.so.6 => /lib64/libncurses.so.6 (0x00007f27c3abd000)


I'm using zsh with this PS1
Code:
export PS1="%? %{^[[1;32m%}%m${DISPLAY}%{^[[0m%} %2C %% "


Same result in bash and bourne shell.
Back to top
View user's profile Send private message
brundage
Tux's lil' helper
Tux's lil' helper


Joined: 02 Dec 2004
Posts: 98

PostPosted: Sat Feb 17, 2018 4:22 pm    Post subject: Reply with quote

Ah. It's an add-on for nethack 3.4.3, not part of the official distribution. Derp
Back to top
View user's profile Send private message
kajzer
Apprentice
Apprentice


Joined: 27 Nov 2014
Posts: 259

PostPosted: Sat Feb 17, 2018 5:12 pm    Post subject: Reply with quote

I'm sorry, I misunderstood, wasn't aware of Curses interface for this game so I confused curses with tty.
Curses interface is not working in my case either, with same error message.
Addon seems to be a patch, but for 3.4.3 version only, at least from that Wiki page it seems to be like that.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum